<template>
  <div
    class="mainPadding font16"
    style="width: 100%; max-width: 1600px; margin: auto; height: 100px"
  >
    <div class="row">
      <div class="blockDiv cursor-pointer" @click="backBtn()">
        <img
          style="padding-top: 10px"
          src="../../public/image/backbtn.svg"
          alt=""
        />
      </div>
      <div class="font32 col" align="center">เพิ่มตอนชุด</div>
      <div class="blockDiv"></div>
    </div>
    <hr />
    <div class="row">
      <div style="width: 200px">
        <img
          src="../../public/image/book.png"
          alt=""
          style="padding-top: 35px; padding-left: 20px"
        />
      </div>
      <div class="col">
        <div class="row">
          <div class="labelInput">ตอนเริ่มต้น</div>
          <div class="col">
            <q-input outlined dense v-model="input.chapterStart" />
          </div>
          <div style="width: 120px"></div>
        </div>
        <div class="row q-pt-md">
          <div class="labelInput">ตอนสุดท้าย</div>
          <div class="col">
            <q-input outlined dense v-model="input.chapterEnd" />
          </div>
          <div style="width: 120px"></div>
        </div>

  

        <div align="center" class="q-pt-md">
          <div class="row justify-center">
            <div>
              <q-btn label="ยกเลิก" class="cancelBtn" @click="backBtn()" />
            </div>
            <div class="q-pl-md">
              <q-btn label="บันทึก" class="submitBtn" @click="saveBtn()" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      cartoonid: this.$route.params.id,
      input: {
        chapterStart: "",
        chapterEnd: "",
      },
    };
  },
  methods: {
    async loadData() {
      let key = this.$q.localStorage.getItem("key");
      let dataTemp = {
        key: key,
      };
      let urlTotal = this.serverpath + "checkbook.php";
      let res = await axios.post(urlTotal, JSON.stringify(dataTemp));
      if (res.data == "go to welcome") {
        this.$router.push("welcome");
        return;
      } else if (res.data == "go to login") {
        this.$q.localStorage.clear();
        this.$router.push("/");
        return;
      }
    },
    backBtn() {
      this.$router.push("/bookpage/" + this.cartoonid);
    },
    async saveBtn() {
      this.$q.loading.show({
        delay: 400, // ms
      });
      if (this.input.chapterStart.length == 0 || this.input.chapterEnd.length == 0) {
        this.redNotify("กรุณากรอกข้อมูลให้ครบถ้วน");
        return;
      }

      let dataTemp = {
        id: this.cartoonid,
        orderid: this.input.chapterStart,
        chapter: this.input.chapterEnd,
      };
      let url = this.serverpath + "addnewchapterset.php";
      let res = await axios.post(url, JSON.stringify(dataTemp));
      let chapterSave = res.data;

      
      this.greenNotify("เพิ่มตอนใหม่สำเร็จ");
      this.$q.loading.hide();
      this.backBtn();
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped>
.labelInput {
  width: 120px;
  padding-top: 10px;
}
.labelInput2 {
  width: 120px;
}
.stripRow {
  background-color: rgba($color: #7291ff, $alpha: 0.15);
}
</style>
